============================
Anaconda kickstart templates
============================

Kickstart files for RPM and Anaconda based linux distros.
You can install OS as kvm-guest by using kickstart.
The below is an example of hatohol-centos6.ks.

    $: sudo  virt-install --name hatohol \
     --vcpus 1 --ram 1024 \
     --disk path=/var/lib/libvirt/images/Hatohol.img,size=8,sparse=false \
     --network network=openstack_public \
     --graphics vnc --os-variant rhel6 \
     --location=http://mirror.centos.org/centos/6/os/x86_64 \
     --initrd-inject=/path/to/hatohol-centos6.ks \
     --extra-args="ks=file:/hatohol-centos6.ks" \
     --noautoconsole

> Note: If you want speed up the installation process, then change the mirror
  url to the nearest one, like:
     --location=http://ftp.iij.ad.jp/pub/linux/centos/6/os/x86_64

- centos6.ks

  Most simple and compact installation of CentOS6.

- hatohol-centos6.ks

  Basic installation of CentOS6 with Hatohol being setup.
  See the project page about Hatohol.
    https://github.com/project-hatohol/hatohol
  Use openstack_public.xml and openstack_private.xml for typical network
  configuration with libvirt. Commands example are as follows.

        $: sudo virsh net-define openstack_public.xml
        $: sudo virsh net-start openstack_public
        $: sudo virsh net-autostart openstack_public
        $: sudo virsh net-define openstack_private.xml
        $: sudo virsh net-start openstack_private
        $: sudo virsh net-autostart openstack_private

- hatohol-zbx-centos6.ks

  Same as hatohol-centos6.ks except ZBX server running on the same machine.
